- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDInsertTextOutputElement Class Reference
Inheritance diagram for libvisio::VSDInsertTextOutputElement:

## Public Member Functions
| VSDInsertTextOutputElement (const WPXString &text)
virtual | ~VSDInsertTextOutputElement ()
virtual void | draw (libwpg::WPGPaintInterface *painter)
virtual VSDOutputElement * | clone ()
Public Member Functions inherited from libvisio::VSDOutputElement
| VSDOutputElement ()
virtual | ~VSDOutputElement ()

## Private Attributes
WPXString | m_text

## Constructor & Destructor Documentation

libvisio::VSDInsertTextOutputElement::VSDInsertTextOutputElement | ( | const WPXString & | text | ) |

Referenced by clone().

virtual libvisio::VSDInsertTextOutputElement::~VSDInsertTextOutputElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual VSDOutputElement* libvisio::VSDInsertTextOutputElement::clone | ( |  | ) |
| inline virtual

Implements libvisio::VSDOutputElement.

void libvisio::VSDInsertTextOutputElement::draw | ( | libwpg::WPGPaintInterface * | painter | ) |
| virtual

Implements libvisio::VSDOutputElement.

## Member Data Documentation

WPXString libvisio::VSDInsertTextOutputElement::m_text
| private

Referenced by clone().

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp